Qwt User's Guide 6.0.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# QwtSetSample Class Reference

A sample of the types (x1...xn, y) or (x, y1..yn) More...

`#include <qwt_series_data.h>`

List of all members.

## Public Member Functions
bool | operator!= (const QwtSetSample &other) const
bool | operator== (const QwtSetSample &other) const
| QwtSetSample ()
## Public Attributes
QVector< double > | set
double | value

## Detailed Description

A sample of the types (x1...xn, y) or (x, y1..yn)

## Constructor & Destructor Documentation

QwtSetSample::QwtSetSample | ( |  | ) | `[inline]`

Constructor The value is set to 0.0

## Member Function Documentation

bool QwtSetSample::operator!= | ( | const QwtSetSample & | other | ) | const`[inline]`

Compare operator.

bool QwtSetSample::operator== | ( | const QwtSetSample & | other | ) | const`[inline]`

Compare operator.

## Member Data Documentation

QVector<double> QwtSetSample::set

Vector of values associated to value.

double QwtSetSample::value

value